- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# cc.h File Reference

Go to the source code of this file.

## Defines
#define | PACK_STRUCT_BEGIN
#define | PACK_STRUCT_END
#define | PACK_STRUCT_FIELD(x) x __attribute__((packed))
#define | PACK_STRUCT_STRUCT __attribute__((packed))

## Define Documentation

#define PACK_STRUCT_BEGIN

Definition at line 40 of file cc.h.

#define PACK_STRUCT_END

Definition at line 41 of file cc.h.

#define PACK_STRUCT_FIELD | ( | x |  | ) | x __attribute__((packed))

Definition at line 38 of file cc.h.

#define PACK_STRUCT_STRUCT __attribute__((packed))

Definition at line 39 of file cc.h.